%define major		1
%define libname		%mklibname uninameslist %{major}
%define develname	%mklibname uninameslist -d

Summary:	A Library of Unicode annotation data
Name:		libuninameslist
Version:	20250714
Release:	%mkrel 1
License:	BSD Style
Group:		System/Libraries
URL:		https://libuninameslist.sourceforge.net/
Source:		https://github.com/fontforge/libuninameslist/archive/%{version}/%{name}-%{version}.tar.gz

%description
The Unicode consortium provides a file containing annotations on many
unicode characters. This library contains a compiled version of this
file so that programs can access these data easily.

%package	-n %{libname}
Summary:	A Library of Unicode annotation data
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description	-n %{libname}
The Unicode consortium provides a file containing annotations on many
unicode characters. This library contains a compiled version of this
file so that programs can access these data easily.

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}

%description -n	%{develname}
The Unicode consortium provides a file containing annotations on many
unicode characters. This library contains a compiled version of this
file so that programs can access these data easily.

This package provides development related files for compiling or
developing any software that make use of this library.

%prep
%setup -q

%build
autoreconf -vfi
%configure --disable-static
%make_build

%install
%make_install

%files -n %{libname}
%doc LICENSE
%{_libdir}/lib*.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_mandir}/man3/%{name}.3.*


%changelog
* Tue Jul 22 2025 daviddavid <daviddavid> 20250714-1.mga10
+ Revision: 2257975
- new version: 20250714

* Sun Jun 29 2025 umeabot <umeabot> 20240910-2.mga10
+ Revision: 2227802
- Mageia 10 Mass Rebuild

* Fri Sep 20 2024 daviddavid <daviddavid> 20240910-1.mga10
+ Revision: 2099395
- new version: 20240910

* Wed Jun 12 2024 daviddavid <daviddavid> 20240524-1.mga10
+ Revision: 2072835
- new version: 20240524

* Wed Sep 20 2023 daviddavid <daviddavid> 20230916-1.mga10
+ Revision: 1988287
- new version: 20230916

* Mon Sep 04 2023 daviddavid <daviddavid> 20230523-1.mga10
+ Revision: 1984115
- new version: 20230523

* Fri Nov 11 2022 daviddavid <daviddavid> 20221022-1.mga9
+ Revision: 1905783
- new version: 20221022

* Tue Mar 15 2022 umeabot <umeabot> 20211114-2.mga9
+ Revision: 1793822
- Mageia 9 Mass Rebuild

* Thu Jan 27 2022 mrambo3501 <mrambo3501> 20211114-1.mga9
+ Revision: 1770032
- version 20211114

* Wed Apr 15 2020 daviddavid <daviddavid> 20200413-1.mga8
+ Revision: 1567533
- new version: 20200413

* Sat Feb 15 2020 umeabot <umeabot> 20190701-2.mga8
+ Revision: 1526852
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Jul 04 2019 daviddavid <daviddavid> 20190701-1.mga8
+ Revision: 1418311
- new version: 20190701

* Sat Mar 16 2019 daviddavid <daviddavid> 20190305-1.mga7
+ Revision: 1378030
- new version: 20190305

* Sun Sep 23 2018 umeabot <umeabot> 20180701-2.mga7
+ Revision: 1299195
- Mageia 7 Mass Rebuild

* Thu Aug 16 2018 daviddavid <daviddavid> 20180701-1.mga7
+ Revision: 1251850
- new version: 20180701

* Sat Jan 06 2018 daviddavid <daviddavid> 20170807-1.mga7
+ Revision: 1190882
- new version: 20170807

* Thu Feb 02 2017 daviddavid <daviddavid> 20160701-1.mga6
+ Revision: 1084608
- new version: 20160701
- now libmajor is 1
- update Source URL

* Mon Feb 08 2016 umeabot <umeabot> 20091231-6.mga6
+ Revision: 944976
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 20091231-5.mga5
+ Revision: 744580
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 20091231-4.mga5
+ Revision: 681825
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 20091231-3.mga4
+ Revision: 507378
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 20091231-2.mga3
+ Revision: 358291
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 12 2012 fwang <fwang> 20091231-1.mga3
+ Revision: 305027
- drop .la file

* Mon Jan 17 2011 pterjan <pterjan> 20091231-1.mga1
+ Revision: 21111
- Drop obsolete scriptlets
- imported package libuninameslist


* Sun Aug 15 2010 Emmanuel Andry <eandry@mandriva.org> 20091231-1mdv2011.0
+ Revision: 569841
- New version 20091231

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 20080409-3mdv2010.1
+ Revision: 520914
- rebuilt for 2010.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 20080409-2mdv2010.0
+ Revision: 425854
- rebuild

* Fri Apr 10 2009 Funda Wang <fwang@mandriva.org> 20080409-1mdv2009.1
+ Revision: 365693
- use configure2_5x

* Fri Sep 05 2008 Emmanuel Andry <eandry@mandriva.org> 20080409-1mdv2009.0
+ Revision: 281375
- New version
- apply devel policy
- check major

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 20060907-2mdv2009.0
+ Revision: 223014
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 20060907-1mdv2008.1
+ Revision: 129169
- kill re-definition of %%buildroot on Pixel's request

* Thu May 03 2007 Adam Williamson <awilliamson@mandriva.org> 20060907-1mdv2008.0
+ Revision: 20864
- 20060907, rebuild for new era


* Sun Jan 16 2005 Abel Cheung <deaddog@mandrake.org> 040707-1mdk
- First Mandrakelinux package
- P0: Add DESTDIR support and add missing --mode=* to libtool calls

